<?php
/****************************************
 * WordPressのバージョンなどを削除する
 ****************************************/
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'rsd_link');


/****************************************
 * 抜粋に挿入されるpタグを取り除く
 * 【参考】http://az-store.nrym.org/download/script/wp-clean-excerpt/
 ****************************************/
remove_filter('the_excerpt', 'wpautop');


/****************************************
 * 同一カテゴリー内の前後移動のlink要素を生成する
 ****************************************/
function meta_link(){
    if(is_single()) {
        global $wpdb, $wp_query;
        $post = $wp_query->post;

        $prev_post = get_previous_post('true','');
        if($prev_post) {
            $prev_title = strip_tags(str_replace('"', '', $prev_post->post_title));
            echo '<link rel="prev" href="' . get_permalink($prev_post->ID) . '" title="' . $prev_title. '" />' . "\n";
        }

        $next_post = get_next_post('true','');
        if($next_post) {
            $next_title = strip_tags(str_replace('"', '', $next_post->post_title));
            echo '<link rel="next" href="' . get_permalink($next_post->ID) . '" title="' . $next_title. '" />' . "\n";
        }
    }
}


/****************************************
 * ページナビゲーション
 ****************************************/
function bmPageNavi() {
	global $wp_rewrite;
	global $wp_query;
	global $paged;

	$paginate_base = get_pagenum_link(1);

	if(($wp_query->max_num_pages) > 1):
		if (strpos($paginate_base, '?') || ! $wp_rewrite->using_permalinks()) {
			$paginate_format = '';
			$paginate_base = add_query_arg('paged', '%#%');
		} else {
			$paginate_format = (substr($paginate_base, -1 ,1) == '/' ? '' : '/') .
			user_trailingslashit('page/%#%/', 'paged');;
			$paginate_base .= '%_%';
		}
		$result = paginate_links( array(
			'base' => $paginate_base,
			'format' => $paginate_format,
			'total' => $wp_query->max_num_pages,
			'mid_size' => 5,
			'current' => ($paged ? $paged : 1),
		));
		echo '<p class="localNavigation">'."\n".$result."\n</p>\n";
	endif;
}


/****************************************
 * 月別アーカイブ
 ****************************************/
function archive_title() {
	if ( is_day() )
		return get_the_time('Y年n月j日');
	elseif ( is_month() )
		return get_the_time('Y年n月');
	elseif ( is_year() )
		return get_the_time('Y年');
}
?>